classification
Title: Encrypt IRC channel details for Travis
Type: Stage: resolved
Components: Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: brett.cannon, dstufft, r.david.murray, vstinner, zach.ware
Priority: high Keywords:

Created on 2017-02-10 23:58 by brett.cannon, last changed 2017-03-25 00:55 by vstinner. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 13 zach.ware, 2017-02-11 04:05
Messages (3)
msg287575 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2017-02-10 23:58
Donald pointed out on IRC we should encrypt a channel key for IRC so that it doesn't get flooded from people's forks. See https://docs.travis-ci.com/user/notifications#Channel-key for documentation on how to do this.
msg287591 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2017-02-11 04:05
Fixed in PR13.
msg290455 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-03-25 00:55
New changeset 4538ddcacc8e8f00d5d36d7bc84e551a56ce6da2 by Victor Stinner (Donald Stufft) in branch 'master':
Fix bpo-29528 Use a secure variable to stop spam (#13)
https://github.com/python/cpython/commit/4538ddcacc8e8f00d5d36d7bc84e551a56ce6da2
History
Date User Action Args
2017-03-25 00:55:00vstinnersetnosy: + vstinner
messages: + msg290455
2017-02-11 04:05:00zach.waresetstatus: open -> closed


nosy: + zach.ware
stage: resolved
messages: + msg287591
resolution: fixed
pull_requests: + pull_request32
2017-02-10 23:59:24brett.cannonlinkissue29529 dependencies
2017-02-10 23:59:18brett.cannonsettitle: Encrypt IRC channel details -> Encrypt IRC channel details for Travis
2017-02-10 23:58:09brett.cannoncreate